Subject: Re: [0/2] net/smc: Adjustments for two function implementations

From: Simon Horman <[email-masked]>
Date: Thu, 4 Jan 2024 20:40:32 +0000

On Tue, Jan 02, 2024 at 07:33:18PM +0800, Wen Gu wrote:
> 
> 
> On 2024/1/2 16:51, Markus Elfring wrote:
> > …
> > > > A few update suggestions were taken into account
> > > > from static source code analysis.
> > …
> > > >     Return directly after a failed kzalloc() in smc_fill_gid_list()
> > > >     Improve exception handling in smc_llc_cli_add_link_invite()
> > > > 
> > > >    net/smc/af_smc.c  |  2 +-
> > > >    net/smc/smc_llc.c | 15 +++++++--------
> > > >    2 files changed, 8 insertions(+), 9 deletions(-)
> > …
> > > I see you want to fix the kfree(NULL) issues in these two patches.
> > 
> > I propose to avoid redundant function calls at various source code places.
> > 
> > 
> > > But I am wondering if this is necessary, since kfree() can handle NULL correctly.
> > 
> > Would you prefer only required data processing in affected function implementations?
> > 
> 
> Thank you Markus. I understood that you want to avoid redundant function calls.
> 
> But it is not very attractive to me since the calls occur on low-frequency paths
> or unlikely condition, resulting in limited performance loss and the current
> kfree() usage is fine and common. So what is the benfit?
> 
> I noticed that some other discussions are on-going. It seems like you are trying
> to change other similiar places. Let's collect more opinions.
> 
> https://lore.kernel.org/netdev/[email-masked]/
> https://lore.kernel.org/netdev/[email-masked]/
> https://lore.kernel.org/netdev/[email-masked]/
> https://lore.kernel.org/netdev/[email-masked]/

As as been explained to Markus many times recently,
calling kfree(NULL) is not only perfectly fine,
it is the preferred way of handling things.

Markus, please stop posting patches of this nature to Netdev.

-- 
pw-bot: rejected